ARK(1)

NAME
ark - KDE-Archivprogramm

SYNOPSIS

ark [-b] [-a] [-e] [-c] [-f erweiterung] [-p] [-t datei] [-d] [-o ordner] [Allgemeine KDE-Optionen] [Allgemeine Qt™-Option]

BESCHREIBUNG

Ark ist ein Programm zur Verwaltung verschiedener komprimierter Archivformate in KDE. Mit Ark können Archive angezeigt, ausgepackt, erzeugt und bearbeitet werden. Das Programm beherrscht verschiedene Format wie tar, gzip, bzip2, zip und rar. Hierzu müssen die entsprechenden Befehlszeilenprogramme installiert sein.

ARBEITSMODI

Ark kann sowohl als eigenständiges Programm mit grafischer Benutzeroberfläche wie auch als Befehlszeilenprogramm für bestimmte Aufgaben eingesetzt werden.

Wird Ark ohne die Optionen -b (--batch) or -c (--add) aufgerufen, started es mit der grafischen Benutzeroberfläche.

Mit der Option -b (--batch) kann Ark verwendet werden, um den Inhalt von einer oder mehrerer Dateien direkt von der Befehlszeile aus zu extrahieren, ohne dazu die grafische Benutzeroberfläche zu starten.

Wird die Option -c (--add) benutzt, fragt Ark nach den Dateien, die zum neuen Archiv oder zu einem vorhandenen Archiv hinzugefügt werden sollen.

AUFRUFPARAMETER

-d, --dialog
    Zeigt einen Dialog für die Angabe von Einstellungen für eine Stapelverarbeitung oder das Hinzufügen an.

-o, --destination ordner
    Zielordner für das Entpacken nach ordner. Ohne diese Option wird der aktuelle Ordner verwendet.

  Einstellungen für das Hinzufügen von Dateien

-c, --add
    Fragt den Benutzer nach einem Archivnamen und fügt die angegebenen Dateien hinzu. Ark wird beendet, wenn die Aktion abgeschlossen ist.

-t, --add-to dateiname
    Die angegebenen Dateien zu dateiname hinzufügen. Erzeugt ein neues Archiv, falls noch keines mit diesem Namen existiert. Ark wird beendet, wenn die Aktion abgeschlossen ist.

-p, --changetofirstpath
    Aktuellen Ordner gemäß erstem Eintrag ändern und alle anderen Einträge relativ dazu hinzufügen.

-f, --autofilename erweiterung
    Automatisch einen Dateinamen mit der angegeben Dateierweiterung (z. B. rar, tar.gz, zip oder ein andere unterstützter Typ) wählen.

  Einstellungen für das Entpacken mittels Stapelverarbeitung

b, --batch
    Die Stapelverarbeitungsschnittstelle anstelle des normalen Dialogs verwenden. Diese Einstellung wird angenommen, wenn mehr als eine Adresse angegeben wird.

-e, --autodestination
    Das Ziel wird auf den Pfad der ersten angegebenen Datei gesetzt.

-a, --autosubfolder
    Der Archivinhalt wird gelesen. Falls es sich um ein Archiv mit mehr als einem Ordner handelt, wird ein Unterordner mit dem Namen des Archivs erstellt.

BEISPIELE

ark --batch archive.tar.bz2
    Entpackt das Archiv archive.tar.bz2 in den aktuellen Ordner, ohne die grafische Benutzeroberfläche zu starten.

ark -b -d archive.tar.bz2 archive2.zip
    Zuerst wird ein Dialog mit Optionen zum Entpacken angezeigt, dann werden beide Archive archive.tar.bz2 und archive2.zip in den Ordner entpackt, der im Dialog ausgewählt wurde.

ark --add-to mein-archiv.zip photo1.jpg text.txt
    Erstellt mein-archiv.zip, sofern dieses Archiv noch nicht existiert und fügt dann photo1.jpg und text.txt hinzu.

AUTOREN

Harald Hvaal <haraldhv@stud.ntnu.no> und Raphael Kubo da Costa <kubito@gmail.com> sind zurzeit die Betreuer von Ark.

Diese Man-Page wurde von Lauri Watts<lauri@kde.org> für KDE 3.4 geschrieben und wurde 2009 durch Raphael Kubo da Costa <kubito@gmail.com>. überarbeitet.

AUTHORS
Lauri Watts, Raphael Kubo da Costa.